/* 
 * File:   inline_dir.h
 * Author: pavlinux <pavel@pavlinux.ru>
 *
 * Created on 28 Nov 2008 г., 00:01
 */

#ifndef _INLINE_DIR_H
#define	_INLINE_DIR_H

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef ENABLE_DNOTIFY
int
do_load_dir (const char *path, dir_list *list, sortfn *sort, int local_reverse,
	     int case_sens, const char *filter,
	     int *dn_fd, char *dn_dir, void (*dn_hd)(int, siginfo_t *, void *));
#else
int
do_load_dir (const char *path, dir_list *list, sortfn *sort, int local_reverse,
	     int case_sens, const char *filter);
#endif

#ifdef	__cplusplus
}
#endif

#endif	/* _INLINE_DIR_H */

